\usepackage{jh}
\newcommand{\colvec}[1]{%
  \begin{pmatrix} #1 \end{pmatrix}}

\usepackage{bm}
\renewcommand{\vec}[1]{\bm{#1}}
\newcommand{\del}{\nabla}

% From linalgjh.sty
\newlength{\heightofcdot}
\newlength{\widthofcdot}
\settoheight{\heightofcdot}{$\cdot$}
\settowidth{\widthofcdot}{$\cdot$}
\newsavebox{\dotprodcircle} 
\savebox{\dotprodcircle}{\scalebox{0.75}{$\bullet$}}  
\newcommand{\dotprod}{\mathbin{\raisebox{.25\heightofcdot}{%
          \makebox[\widthofcdot]{$\smash{\usebox{\dotprodcircle}}$}}}}

